Page MenuHomePhabricator

Fixup hardcoded usages of "User:" in CentralAuth
Closed, ResolvedPublic

Description

CentralAuthUser.php line 2399
$log->addEntry( $action, Title::newFromText( "User:{$this->mName}@global" ), $reason, $params );

SpecialCentralAuth.php line 679

		$numRows = LogEventsList::showLogExtract(
			$text,
			array( 'globalauth', 'suppress' ),
			Title::newFromText( "User:{$user}@global" )->getPrefixedText(),
			'',
			array( 'showIfEmpty' => true ) );

CentralAuthHooks.php line 886
$params['url'] = $wiki->getUrl( 'User:' . $user->getTitleKey() );

SpecialCentralAuth.php line 553

		return self::foreignLink(
			$wiki,
			'User:' . $this->mUserName,
			$wikiname,
			$this->msg( 'centralauth-foreign-link', $this->mUserName, $wikiname )->text()
		);

SpecialMergeAccount.php line 468 (same as SpecialCentralAuth.php above)

		return SpecialCentralAuth::foreignLink(
			$wiki,
			'User:' . $this->mUserName,
			$wikiname,
			$this->msg( 'centralauth-foreign-link', $this->mUserName, $wikiname )->text()
		);

Version: master
Severity: minor

Details

Reference
bz48283

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:23 AM
bzimport set Reference to bz48283.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.May 9 2013, 1:05 AM

Related URL: https://gerrit.wikimedia.org/r/62941 (Gerrit Change I51a6dd5a8345f35b6eff2f1e2a41b3bb1c29ceaa)

Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).

Has been cleaned up. I made a patch for the last of its kind in this repo: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CentralAuth/+/499666.

Change 499666 had a related patch set uploaded (by D3r1ck01; owner: Derick Alangi):
[mediawiki/extensions/CentralAuth@master] maintenance: Avoid hardcoding namespace "User talk:"

https://gerrit.wikimedia.org/r/499666

Change 499666 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] maintenance: Avoid hardcoding namespace "User talk:"

https://gerrit.wikimedia.org/r/499666

D3r1ck01 closed this task as Resolved.Mar 29 2019, 11:01 AM
D3r1ck01 claimed this task.